Bug 717305 - [RFE] disable reporter when user deselects a required item
[RFE] disable reporter when user deselects a required item
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2011-06-28 10:33 EDT by Michal Nowak
Modified: 2013-03-07 21:12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2011-06-28 10:33:30 EDT
Description of problem:

Crashed app, created BT and attempted to report to BZ, RHTSupport, logger and mailx but on "Confirm data to report" screen I am not able to select any item thus not able to include relevant data - and because of this I have only "END:" in /tmp/abrt.log.

Version-Release number of selected component (if applicable):

abrt-2.0.3-1.fc15.x86_64
libreport-2.0.4-1.fc15.x86_64
btparser-0.13-1.fc15.x86_64

How reproducible:

always
Comment 1 Andrew Engelbrecht 2011-07-23 17:51:50 EDT
I am having this same exact problem. It used to be working fine.
Comment 2 Jiri Moskovcak 2011-07-25 04:25:36 EDT
There seems to be problem when you select more than one reporter at time, so please try selecting just bugzilla.
Comment 3 Andrew Engelbrecht 2011-08-14 13:09:40 EDT
Jiri, it works when I just select bugzilla as the only reporter.
Comment 4 Denys Vlasenko 2011-10-11 05:47:36 EDT
This particular bug is fixed in current git, but in general, selecting more than one reporter circumvents element eligibility checking. This is a design problem in current GUI.
Comment 5 Jiri Moskovcak 2011-11-03 05:49:23 EDT
How about just marking everything what's required by all selected reporters? And leave it up to user to review it?


e.g:

Bugzilla: backtrace, duphash
rhtsupport: sosreport.tgz

=> preselect backtrace, duphash, sosreport

- if user deselect sosreport.tgz, the gui should warn user that it disables the rhtsupport plugin
Comment 6 Michal Nowak 2011-11-03 07:22:51 EDT
Sounds good to me.
Comment 7 Fedora End Of Life 2012-08-07 12:10:09 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.